package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.JobNatureEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2021/3/9 0009
 */
public class TeacherServeQueryInfo extends QueryInfo {

    private String organId;

    private List<Integer> organIds;

    private Integer teacherId;

    private Integer unDone;

    private Integer reminded;

    private Integer operatorId;

    private String monday;

    private String sunday;

    @ApiModelProperty(value = "工作性质（兼职 PART_JOB、全职FULL_JOB）", required = false)
    private JobNatureEnum jobNature;

    @ApiModelProperty(value = "实际训练次数是否达到预期")
    private Integer actualExercisesNumIsAchieve;

    @ApiModelProperty(value = "提交训练次数是否达到预期")
    private Integer exercisesReplyNumIsAchieve;

    @ApiModelProperty(value = "训练评价次数是否达到预期")
    private Integer exercisesMessageNumIsAchieve;

    @ApiModelProperty(value = "及时训练评价次数是否达到预期")
    private Integer exercisesMessageTimelyNumIsAchieve;

    @ApiModelProperty(value = "服务是否异常")
    private Boolean serviceIsError;

    public Boolean getServiceIsError() {
        return serviceIsError;
    }

    public void setServiceIsError(Boolean serviceIsError) {
        this.serviceIsError = serviceIsError;
    }

    public JobNatureEnum getJobNature() {
        return jobNature;
    }

    public void setJobNature(JobNatureEnum jobNature) {
        this.jobNature = jobNature;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public List<Integer> getOrganIds() {
        return organIds;
    }

    public void setOrganIds(List<Integer> organIds) {
        this.organIds = organIds;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getUnDone() {
        return unDone;
    }

    public void setUnDone(Integer unDone) {
        this.unDone = unDone;
    }

    public Integer getReminded() {
        return reminded;
    }

    public void setReminded(Integer reminded) {
        this.reminded = reminded;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getMonday() {
        return monday;
    }

    public void setMonday(String monday) {
        this.monday = monday;
    }

    public String getSunday() {
        return sunday;
    }

    public void setSunday(String sunday) {
        this.sunday = sunday;
    }

    public Integer getActualExercisesNumIsAchieve() {
        return actualExercisesNumIsAchieve;
    }

    public void setActualExercisesNumIsAchieve(Integer actualExercisesNumIsAchieve) {
        this.actualExercisesNumIsAchieve = actualExercisesNumIsAchieve;
    }

    public Integer getExercisesReplyNumIsAchieve() {
        return exercisesReplyNumIsAchieve;
    }

    public void setExercisesReplyNumIsAchieve(Integer exercisesReplyNumIsAchieve) {
        this.exercisesReplyNumIsAchieve = exercisesReplyNumIsAchieve;
    }

    public Integer getExercisesMessageNumIsAchieve() {
        return exercisesMessageNumIsAchieve;
    }

    public void setExercisesMessageNumIsAchieve(Integer exercisesMessageNumIsAchieve) {
        this.exercisesMessageNumIsAchieve = exercisesMessageNumIsAchieve;
    }

    public Integer getExercisesMessageTimelyNumIsAchieve() {
        return exercisesMessageTimelyNumIsAchieve;
    }

    public void setExercisesMessageTimelyNumIsAchieve(Integer exercisesMessageTimelyNumIsAchieve) {
        this.exercisesMessageTimelyNumIsAchieve = exercisesMessageTimelyNumIsAchieve;
    }
}
